---
- name: Add spotify apt key
  apt_key:
    url: https://download.spotify.com/debian/pubkey_0D811D58.gpg
    state: present
  register: spotify_apt_key

- name: Set stable repository
  template:
    src: templates/spotify.list.j2
    dest: /etc/apt/sources.list.d/spotify.list
  register: spotify_repository

- name: Update apt cache
  apt:
    update_cache: yes
  when: spotify_apt_key.changed or spotify_repository.changed

- name: Install spotify package
  apt:
    name: spotify-client
    state: present
